## org.apache.mahout.math.jet.random
Class BreitWignerMeanSquare

    java.lang.Object
      org.apache.mahout.math.PersistentObject
          org.apache.mahout.math.jet.random.AbstractDistribution
              org.apache.mahout.math.jet.random.AbstractContinousDistribution
                  org.apache.mahout.math.jet.random.BreitWigner
                      org.apache.mahout.math.jet.random.BreitWignerMeanSquare

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.apache.mahout.math.function.DoubleFunction, IntFunction, UnaryFunction

Deprecated. until unit tests are in place. Until this time, this class/interface is unsupported.

    @Deprecated
    public class BreitWignerMeanSquare

extends BreitWigner

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.mahout.math.jet.random.AbstractDistribution
`randomGenerator`

Constructor Summary
`BreitWignerMeanSquare(double mean, double gamma, double cut, java.util.Random randomGenerator)` Deprecated. Constructs a mean-squared BreitWigner distribution.

Method Summary
`java.lang.Object` `clone()` Deprecated. Returns a deep copy of the receiver; the copy will produce identical sequences.
`double` `nextDouble(double mean, double gamma, double cut)` Deprecated. Returns a mean-squared random number from the distribution; bypasses the internal state.
`static double` `staticNextDouble(double mean, double gamma, double cut)` Deprecated. Returns a random number from the distribution.

Methods inherited from class org.apache.mahout.math.jet.random.BreitWigner
`nextDouble, setState, toString`

Methods inherited from class org.apache.mahout.math.jet.random.AbstractContinousDistribution
`cdf, nextInt, pdf`

Methods inherited from class org.apache.mahout.math.jet.random.AbstractDistribution
`apply, apply, getRandomGenerator, setRandomGenerator`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BreitWignerMeanSquare

    public BreitWignerMeanSquare(double mean,
                                 double gamma,
                                 double cut,
                                 java.util.Random randomGenerator)

  Deprecated.
  Constructs a mean-squared BreitWigner distribution.

  Parameters:
    `cut` - cut==Double.NEGATIVE_INFINITY indicates "don't cut".

Method Detail

### clone

    public java.lang.Object clone()

  Deprecated.
  Returns a deep copy of the receiver; the copy will produce identical sequences. After this call has returned, the copy and the receiver have equal but separate state.

  Overrides:
    `clone` in class `org.apache.mahout.math.PersistentObject`
  Returns:
    a copy of the receiver.

### nextDouble

    public double nextDouble(double mean,
                             double gamma,
                             double cut)

  Deprecated.
  Returns a mean-squared random number from the distribution; bypasses the internal state.

  Overrides:
    `nextDouble` in class `BreitWigner`
  Parameters:
    `cut` - cut==Double.NEGATIVE_INFINITY indicates "don't cut".

### staticNextDouble

    public static double staticNextDouble(double mean,
                                          double gamma,
                                          double cut)

  Deprecated.
  Returns a random number from the distribution.

  Parameters:
    `cut` - cut==Double.NEGATIVE_INFINITY indicates "don't cut".

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.